Genivia - xenc__EncryptedDataType Struct Reference

|  | Home | Documentation | xenc__EncryptedDataType Struct Reference updated Thu Mar 21 2024 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
xenc__EncryptedDataType Struct Reference

"http://www.w3.org/2001/04/xmlenc#":EncryptedDataType is a complexType with complexContent extension of "http://www.w3.org/2001/04/xmlenc#":EncryptedType. More...

`#include <xenc.h>`

Collaboration diagram for xenc__EncryptedDataType:
[legend]

## Public Attributes
struct xenc__EncryptionMethodType * | EncryptionMethod
_ds__KeyInfo * | ds__KeyInfo
| Imported element reference "http://www.w3.org/2000/09/xmldsig#":KeyInfo. More...
struct xenc__CipherDataType * | CipherData
| Element reference "http://www.w3.org/2001/04/xmlenc#":CipherData. More...
struct xenc__EncryptionPropertiesType * | EncryptionProperties
| Element reference "http://www.w3.org/2001/04/xmlenc#":EncryptionProperties. More...
char * | Id
| Attribute Id of type xs:ID. More...
char * | Type
| Attribute Type of type xs:anyURI. More...
char * | MimeType
| Attribute MimeType of type xs:string. More...
char * | Encoding
| Attribute Encoding of type xs:anyURI. More...

## Detailed Description

"http://www.w3.org/2001/04/xmlenc#":EncryptedDataType is a complexType with complexContent extension of "http://www.w3.org/2001/04/xmlenc#":EncryptedType.

## Member Data Documentation

struct xenc__CipherDataType* xenc__EncryptedDataType::CipherData

Element reference "http://www.w3.org/2001/04/xmlenc#":CipherData.

Required element.

_ds__KeyInfo* xenc__EncryptedDataType::ds__KeyInfo

Imported element reference "http://www.w3.org/2000/09/xmldsig#":KeyInfo.

Optional element.

char* xenc__EncryptedDataType::Encoding

Attribute Encoding of type xs:anyURI.

Optional attribute.

struct xenc__EncryptionMethodType* xenc__EncryptedDataType::EncryptionMethod

INHERITED FROM xenc__EncryptedType: Element EncryptionMethod of type "http://www.w3.org/2001/04/xmlenc#":EncryptionMethodType. Optional element.

struct xenc__EncryptionPropertiesType* xenc__EncryptedDataType::EncryptionProperties

Element reference "http://www.w3.org/2001/04/xmlenc#":EncryptionProperties.

Optional element.

char* xenc__EncryptedDataType::Id

Attribute Id of type xs:ID.

Optional attribute.

char* xenc__EncryptedDataType::MimeType

Attribute MimeType of type xs:string.

Optional attribute.

char* xenc__EncryptedDataType::Type

Attribute Type of type xs:anyURI.

Optional attribute.

The documentation for this struct was generated from the following file:

- xenc.h